<?php
global $app_db;
if (!isset($app_db)) {
	// Στοιχεία σύνδεσης στη βάση δεδομένων
	$servername = "localhost";
	$username = "person";
	$password = "person";
	$database = "person";

	// Σύνδεση στη βάση δεδομένων
	$app_db = new mysqli($servername, $username, $password, $database);

	// Έλεγχος σύνδεσης
	if ($app_db->connect_error) {
		die("Αποτυχία σύνδεσης: " . $app_db->connect_error);
	}
	
    if (!$app_db) {
        throw new Exception("Failed to connect to the database.");
    }
}

function getPersons($searchQuery = '') {
	global $app_db;
	if (!isset($app_db)) {
        throw new Exception("Database connection not initialized.");
    }
	$query = "SELECT * FROM persons";
	
	// Add search filter if a search query is provided
	if (!empty($searchQuery)) {
		$query .= " WHERE name LIKE '%$searchQuery%'";
	}
	$query .= " ORDER BY name DESC";

	$result = $app_db->query($query);

	$persons = [];
	while ($row = $result->fetch_assoc()) {
		$persons[] = $row;
	}

	return $persons;
}